import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { SplineType } from "./SplineType";
import { SeriesView } from "./SeriesView";
import { CategoryFrame } from "./CategoryFrame";
import { Rect } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { Point, IList$1, Type } from "igniteui-react-core";
import { CollisionAvoider } from "./CollisionAvoider";
import { List$1 } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class SplineSeriesBase extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    s7: SplineSeriesBaseView;
    protected get_cy(): boolean;
    protected s6: number[];
    td(a: CategoryFrame, b: Rect, c: Rect, d: CategoryAxisBase, e: NumericAxisBase, f: CategorySeriesView): void;
    s9(a: CategoryFrame, b: number[], c: CollisionAvoider, d: number, e: number, f: CategorySeriesView, g: number): boolean;
    aj(a: CategoryAxisBase, b: List$1<number[]>, c: number, d: number, e: Point, f: boolean): number[][];
    q9(a: CategoryFrame, b: CategorySeriesView): void;
    private ta;
    e8(a: number, b: IList$1<number>, c: number, d: number, e: number, f: number, g: number, h: boolean): number;
    tb(a: CategoryAxisBase, b: Rect, c: Rect, d: Rect): number;
    s8: SplineType;
    protected te(): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    protected jo(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class SplineSeriesBaseView extends AnchoredCategorySeriesView {
    static $t: Type;
    protected da: SplineSeriesBase;
    constructor(a: SplineSeriesBase);
    protected af(): void;
}
